OpenTTD Source: Blitter_8bppSimple Class Reference

OpenTTD Source 12.2

Public Member Functions
Blitter_8bppSimple Class Reference

Most trivial 8bpp blitter. More...

`#include <8bpp_simple.hpp>`

Inheritance diagram for Blitter_8bppSimple:

## Public Member Functions
void | Draw (Blitter::BlitterParams *bp, BlitterMode mode, ZoomLevel zoom) override
| Draw an image to the screen, given an amount of params defined above.
Sprite * | Encode (const SpriteLoader::Sprite *sprite, AllocatorProc *allocator) override
| Convert a sprite from the loader to our own format.
const char * | GetName () override
| Get the name of the blitter, the same as the Factory-instance returns.
Public Member Functions inherited from Blitter_8bppBase
uint8 | GetScreenDepth () override
| Get the screen depth this blitter works for. More...
void | DrawColourMappingRect (void *dst, int width, int height, PaletteID pal) override
| Draw a colourtable to the screen. More...
void * | MoveTo (void *video, int x, int y) override
| Move the destination pointer the requested amount x and y, keeping in mind any pitch and bpp of the renderer. More...
void | SetPixel (void *video, int x, int y, uint8 colour) override
| Draw a pixel with a given colour on the video-buffer. More...
void | DrawLine (void *video, int x, int y, int x2, int y2, int screen_width, int screen_height, uint8 colour, int width, int dash) override
| Draw a line with a given colour. More...
void | DrawRect (void *video, int width, int height, uint8 colour) override
| Make a single horizontal line in a single colour on the video-buffer. More...
void | CopyFromBuffer (void *video, const void *src, int width, int height) override
| Copy from a buffer to the screen. More...
void | CopyToBuffer (const void *video, void *dst, int width, int height) override
| Copy from the screen to a buffer. More...
void | CopyImageToBuffer (const void *video, void *dst, int width, int height, int dst_pitch) override
| Copy from the screen to a buffer in a palette format for 8bpp and RGBA format for 32bpp. More...
void | ScrollBuffer (void *video, int &left, int &top, int &width, int &height, int scroll_x, int scroll_y) override
| Scroll the videobuffer some 'x' and 'y' value. More...
int | BufferSize (int width, int height) override
| Calculate how much memory there is needed for an image of this size in the video-buffer. More...
void | PaletteAnimate (const Palette &palette) override
| Called when the 8bpp palette is changed; you should redraw all pixels on the screen that are equal to the 8bpp palette indexes 'first_dirty' to 'first_dirty + count_dirty'. More...
Blitter::PaletteAnimation | UsePaletteAnimation () override
| Check if the blitter uses palette animation at all. More...
int | GetBytesPerPixel () override
| Get how many bytes are needed to store a pixel.
Public Member Functions inherited from Blitter
bool | Is32BppSupported () override
| Can the sprite encoder make use of RGBA sprites?
virtual bool | NeedsAnimationBuffer ()
| Does this blitter require a separate animation buffer from the video backend?
virtual void | PostResize ()
| Post resize event.
template<typename SetPixelT >
void | DrawLineGeneric (int x, int y, int x2, int y2, int screen_width, int screen_height, int width, int dash, SetPixelT set_pixel)
Public Member Functions inherited from SpriteEncoder
virtual uint | GetSpriteAlignment ()
| Get the value which the height and width on a sprite have to be aligned by. More...

## Additional Inherited Members
Public Types inherited from Blitter
enum | PaletteAnimation { PALETTE_ANIMATION_NONE, PALETTE_ANIMATION_VIDEO_BACKEND, PALETTE_ANIMATION_BLITTER }
| Types of palette animation. More...

## Detailed Description

Most trivial 8bpp blitter.

Definition at line 17 of file 8bpp_simple.hpp.

The documentation for this class was generated from the following files:

- src/blitter/8bpp_simple.hpp
- src/blitter/8bpp_simple.cpp